
--# Glade version of test12.ex

include GtkEngine.e

add(builder,"~/demos/glade/test12.glade")

constant fruit = {
  "Apples",
  "Bananas",
  "Cherries",
  "Grapes",
  "Peaches",
  "Pears"
}

for i = 1 to length(fruit) do
  set("comboboxtext1","append text",fruit[i])
end for
set("comboboxtext1","active",1)

main()

-----------------------------------------------------------------------
global function on_button2_clicked() 
-----------------------------------------------------------------------
  Info("window1",,"Your favorite is",get("comboboxtext1","active text"))
return 1
end function

